Page MenuHomePhabricator

getArgOperandNo helper function
ClosedPublic

Authored by sstefan1 on Aug 27 2019, 4:12 PM.

Details

Summary

A helper function to get argument number of a arg operand Use.

Diff Detail

Event Timeline

sstefan1 created this revision.Aug 27 2019, 4:12 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 27 2019, 4:12 PM

Can you add a test? (just refactor some code to use this)

sstefan1 updated this revision to Diff 221204.Sep 21 2019, 3:24 PM

small refactoring to use getArgOperandNo

jdoerfert accepted this revision.Sep 23 2019, 1:40 AM

This looks fine but commit it only with the use (one patch maybe).

This revision is now accepted and ready to land.Sep 23 2019, 1:40 AM

This looks fine but commit it only with the use (one patch maybe).

Should I find another use for the method, or is this one enough?

This revision was automatically updated to reflect the committed changes.